Skip to main content

Create an expense category

POST 

/api/expense_categories

This endpoint is intended to create a new expense category.

Prerequisites:

To use this endpoint you need to have the ACCOUNTING scope for the API Key. Please contact your relation manager to get this permission.

Request Body:

  • name: The name of the category. Multiple categories with the same name cannot be added.
  • accountingAccountNumber: Optional.
  • externalId: Optional. The identifier in the external accounting program. Multiple categories with the same name cannot be added.
  • allowedTransactionTypes: Optional. Defines which type of transactions can be attached to this category. Multiple choices can be added.
  • allowedCardGroups: Optional. Defines which card groups can be attached to this category. Multiple choices can be added.

Request

Header Parameters

    Unique-Request-Id string

    Possible values: <= 50 characters

    An optional unique identifier for the request, limited to 50 characters. Used to track requests and prevent duplication.

Body

required
    name stringrequired
    accountingAccountNumber stringnull
    externalId stringnull
    allowedTransactionTypes string

    Possible values: [card_transaction, fee_transaction, fx_transaction, payin_transaction, payout_transaction, wallet_transaction]

    allowedCardGroups string

Responses

OK - The request was processed successfully.

Schema
    id integer
    name string
    accountingAccountNumber stringnull
    externalId stringnull
    allowedTransactionTypes string

    Possible values: [card_transaction, fee_transaction, fx_transaction, payin_transaction, payout_transaction, wallet_transaction]

    allowedCardGroups string
Loading...